/********************************************************************
 *
 * Copyright:
 *	1999-2000 MOTOROLA, INC. All Rights Reserved.  
 *  You are hereby granted a copyright license to use, modify, and
 *  distribute the SOFTWARE so long as this entire notice is
 *  retained without alteration in any modified and/or redistributed
 *  versions, and that such modified versions are clearly identified
 *  as such. No licenses are granted by implication, estoppel or
 *  otherwise under any patents or trademarks of Motorola, Inc. This 
 *  software is provided on an "AS IS" basis and without warranty.
 *
 *  To the maximum extent permitted by applicable law, MOTOROLA 
 *  DISCLAIMS ALL WARRANTIES WHETHER EXPRESS OR IMPLIED, INCLUDING 
 *  IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR
 *  PURPOSE AND ANY WARRANTY AGAINST INFRINGEMENT WITH REGARD TO THE 
 *  SOFTWARE (INCLUDING ANY MODIFIED VERSIONS THEREOF) AND ANY 
 *  ACCOMPANYING WRITTEN MATERIALS.
 * 
 *  To the maximum extent permitted by applicable law, IN NO EVENT
 *  SHALL MOTOROLA BE LIABLE FOR ANY DAMAGES WHATSOEVER (INCLUDING 
 *  WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS 
 *  INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR OTHER PECUNIARY
 *  LOSS) ARISING OF THE USE OR INABILITY TO USE THE SOFTWARE.   
/*
 * File:		canvar.h
 * Purpose:		QSPI register settings, CAN controller register memory map, main.c and 
 *			canc.c global variable declarations and definitions
 *
 */


/*QSPI module register settings*/

#define MCF5272_QSPI_QMR_CAN		(0xE306)
#define MCF5272_QSPI_QDLYR_CAN		(0x0602)
#define MCF5272_QSPI_QIR_CAN		(0x000F)
#define MCF5272_QSPI_QAR_Command	(0x0020)
#define MCF5272_QSPI_QAR_Tx		(0x0000)
#define MCF5272_QSPI_QAR_Rx		(0x0010)
#define MCF5272_QSPI_QDR_CR_CONT	(0xBE00)
#define MCF5272_QSPI_QDR_CR_SING	(0x3E00)

#define MCF5272_QSPI_QWR_SetPageReg	(0x1100)
#define MCF5272_QSPI_QWR_ReadPageReg	(0x1100)
#define MCF5272_QSPI_QWR_SendByte	(0x1100)
#define MCF5272_QSPI_QWR_ReadByte	(0x1100)
#define MCF5272_QSPI_QDLYR_CanEnable	(0x8602)
#define MCF5272_QSPI_QDLYR_CanBusy	(0x8000)
#define MCF5272_QSPI_QIR_QSPIFinish	(0x0001)

#define MCF5272_QSPI_QAR_Tx		(0x0000)
#define MCF5272_QSPI_QAR_Rx		(0x0010)




/*CAN register memory map : shell registers */
#define CAN_GLOBCTRL			(0x0010)
#define CAN_PAGE			(0x007C)
#define CAN_ACR				(0x0200)
#define CAN_ASR				(0x0204)
#define CAN_AIR				(0x0208)
#define CAN_ABTR			(0x020C)
#define CAN_AGINP			(0x0210)
#define CAN_AFCR			(0x0214)
#define CAN_AIMR0			(0x0218)
#define CAN_AIMR4			(0x021C)
#define CAN_AECNT			(0x0220)
#define CAN_BCR				(0x0240)
#define CAN_BSR				(0x0244)
#define CAN_BIR				(0x0248)
#define CAN_BBTR			(0x024C)
#define CAN_BGINP			(0x0250)
#define CAN_BFCR			(0x0254)
#define CAN_BIMR0			(0x0258)
#define CAN_BIMR4			(0x025C)
#define CAN_BECNT			(0x0260)

/*CAN register memory map : base of message object TwinCAN registers*/
#define CAN_MSG_DAT			(0x0300)
#define CAN_MSG_ARB			(0x0308)
#define CAN_MSG_AMR			(0x030C)
#define CAN_MSG_CTRL			(0x0310)
#define CAN_MSG_CONFIG			(0x0314)
#define CAN_MSG_GWAY			(0x0318)

/*main.c and canc.c global definitions and declarations*/

#define CanWriteMask			(0x0080)
#define CanReadMask			(0x007F)
#define CanAutoInc			(0x0080)

#define A 	0x00
#define B 	0x02
#define Stand 	0x00
#define Extend 	0x04
#define Tx	0x08
#define Rx	0x00

#define Msg0	0x00
#define Msg1	0x01
#define Msg2	0x02
#define Msg3	0x03
#define Msg4	0x04
#define Msg5	0x05
#define Msg6	0x06
#define Msg7	0x07
#define Msg8	0x08
#define Msg9	0x09
#define Msg10	0x0A
#define Msg11	0x0B
#define Msg12	0x0C
#define Msg13	0x0D
#define Msg14	0x0E
#define Msg15	0x0F
#define Msg16	0x10
#define Msg17	0x11
#define Msg18	0x12
#define Msg19	0x13
#define Msg20	0x14
#define Msg21	0x15
#define Msg22	0x16
#define Msg23	0x17
#define Msg24	0x18
#define Msg25	0x19
#define Msg26	0x1A
#define Msg27	0x1B
#define Msg28	0x1C
#define Msg29	0x1D
#define Msg30	0x1E
#define Msg31	0x1F

uint8 dataRx[8];
uint8 dummy;
uint8 RxByte;
uint8 toggle;


