/*********************************************************************
 *
 * Copyright:
 *	1999-2000 MOTOROLA, INC. All Rights Reserved.  
 *  You are hereby granted a copyright license to use, modify, and
 *  distribute the SOFTWARE so long as this entire notice is
 *  retained without alteration in any modified and/or redistributed
 *  versions, and that such modified versions are clearly identified
 *  as such. No licenses are granted by implication, estoppel or
 *  otherwise under any patents or trademarks of Motorola, Inc. This 
 *  software is provided on an "AS IS" basis and without warranty.
 *
 *  To the maximum extent permitted by applicable law, MOTOROLA 
 *  DISCLAIMS ALL WARRANTIES WHETHER EXPRESS OR IMPLIED, INCLUDING 
 *  IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR
 *  PURPOSE AND ANY WARRANTY AGAINST INFRINGEMENT WITH REGARD TO THE 
 *  SOFTWARE (INCLUDING ANY MODIFIED VERSIONS THEREOF) AND ANY 
 *  ACCOMPANYING WRITTEN MATERIALS.
 * 
 *  To the maximum extent permitted by applicable law, IN NO EVENT
 *  SHALL MOTOROLA BE LIABLE FOR ANY DAMAGES WHATSOEVER (INCLUDING 
 *  WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS 
 *  INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR OTHER PECUNIARY
 *  LOSS) ARISING OF THE USE OR INABILITY TO USE THE SOFTWARE.   
 * 
 *  Motorola assumes no responsibility for the maintenance and support
 *  of this software
 ********************************************************************/

/*
 * File:		net.c
 * Purpose:		Network initialization for dBUG.
 *
 * Notes:
 *
 * Modifications:
 */

#include <dbug.h>
#include "net.h"

/********************************************************************/
/* Define one network interface */
NIF nif1;

IP_INFO		ip_info;
ARP_INFO	arp_info;

/********************************************************************/
int
net_init()
{
	IP_ADDR client;
	IP_ADDR gateway;
	IP_ADDR netmask;
	IP_ADDR server;

	board_get_client(client);
	board_get_gateway(gateway);
	board_get_netmask(netmask);

	nbuf_init();

	arp_init(&arp_info);
	nif_bind_protocol(&nif1,FRAME_ARP,(void *)arp_handler,(void *)&arp_info);

	ip_init(&ip_info,client,gateway,netmask);
	nif_bind_protocol(&nif1,FRAME_IP,(void *)ip_handler,(void *)&ip_info);

	udp_init();

	return TRUE;
}

/********************************************************************/
