/*********************************************************************
 *
 * Copyright:
 *	1999-2000 MOTOROLA, INC. All Rights Reserved.  
 *  You are hereby granted a copyright license to use, modify, and
 *  distribute the SOFTWARE so long as this entire notice is
 *  retained without alteration in any modified and/or redistributed
 *  versions, and that such modified versions are clearly identified
 *  as such. No licenses are granted by implication, estoppel or
 *  otherwise under any patents or trademarks of Motorola, Inc. This 
 *  software is provided on an "AS IS" basis and without warranty.
 *
 *  To the maximum extent permitted by applicable law, MOTOROLA 
 *  DISCLAIMS ALL WARRANTIES WHETHER EXPRESS OR IMPLIED, INCLUDING 
 *  IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR
 *  PURPOSE AND ANY WARRANTY AGAINST INFRINGEMENT WITH REGARD TO THE 
 *  SOFTWARE (INCLUDING ANY MODIFIED VERSIONS THEREOF) AND ANY 
 *  ACCOMPANYING WRITTEN MATERIALS.
 * 
 *  To the maximum extent permitted by applicable law, IN NO EVENT
 *  SHALL MOTOROLA BE LIABLE FOR ANY DAMAGES WHATSOEVER (INCLUDING 
 *  WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS 
 *  INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR OTHER PECUNIARY
 *  LOSS) ARISING OF THE USE OR INABILITY TO USE THE SOFTWARE.   
 * 
 *  Motorola assumes no responsibility for the maintenance and support
 *  of this software
 ********************************************************************/

/*
 * File:		dbug.h
 * Purpose:		Definitions and prototypes for dBUG.
 *
 * Notes:
 *
 */

#ifndef _TFTP_MAIN_H
#define _TFTP_MAIN_H

/********************************************************************/

#define MAX_ARGS	3
#define MAX_LINE	80
#define MAX_FN		40

/********************************************************************/

/* The command table entry data structure */
typedef const struct
{
	char *	cmd;					/* command name user types, ie. GO	*/
	int		min_args;				/* min num of args command accepts	*/
	int		max_args;				/* max num of args command accepts	*/
	void	(*func)(int, char **);	/* actual function to call			*/
	char *	description;			/* brief description of command		*/
	char *	syntax;					/* syntax of command				*/
} CMD;

/* The set/show table entry */
typedef const struct
{
    char *  option;
    void    (*func)(int, char **);
    char *  syntax;
} SETCMD;

/********************************************************************/

void run_cmd (void);
void help (int, char **);
void read (int, char **);
void md (int, char **);
void mm (int, char **);
void set (int, char **);
void show (int, char **);
void write (int, char **);
void quit (int, char **);
void set_server (int, char **);
void set_client (int, char **);
void set_gateway (int, char **);
void set_netmask (int, char **);
void set_filename (int, char **);
void set_mac (int, char **);

/********************************************************************/

#endif _TFTP_MAIN_H