/*********************************************************************
 *
 * Copyright:
 *	1999-2000 MOTOROLA, INC. All Rights Reserved.  
 *  You are hereby granted a copyright license to use, modify, and
 *  distribute the SOFTWARE so long as this entire notice is
 *  retained without alteration in any modified and/or redistributed
 *  versions, and that such modified versions are clearly identified
 *  as such. No licenses are granted by implication, estoppel or
 *  otherwise under any patents or trademarks of Motorola, Inc. This 
 *  software is provided on an "AS IS" basis and without warranty.
 *
 *  To the maximum extent permitted by applicable law, MOTOROLA 
 *  DISCLAIMS ALL WARRANTIES WHETHER EXPRESS OR IMPLIED, INCLUDING 
 *  IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR
 *  PURPOSE AND ANY WARRANTY AGAINST INFRINGEMENT WITH REGARD TO THE 
 *  SOFTWARE (INCLUDING ANY MODIFIED VERSIONS THEREOF) AND ANY 
 *  ACCOMPANYING WRITTEN MATERIALS.
 * 
 *  To the maximum extent permitted by applicable law, IN NO EVENT
 *  SHALL MOTOROLA BE LIABLE FOR ANY DAMAGES WHATSOEVER (INCLUDING 
 *  WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS 
 *  INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR OTHER PECUNIARY
 *  LOSS) ARISING OF THE USE OR INABILITY TO USE THE SOFTWARE.   
 * 
 *  Motorola assumes no responsibility for the maintenance and support
 *  of this software
 ********************************************************************/
/*
 * File:		udp.h
 * Purpose:		User Datagram Protocol, UDP, data definitions
 *
 * Notes:
 *
 *
 * Modifications:
 *
 */

#ifndef _UDP_H
#define _UDP_H

/********************************************************************/

typedef struct
{
	uint16		src_port;
	uint16		dest_port;
	uint16		length;
	uint16		chksum;
} udp_frame_hdr;

#define UDP_SOURCE(a)		(a->src_port)
#define UDP_DEST(a)			(a->dest_port)
#define UDP_LENGTH(a)		(a->length)
#define UDP_CHKSUM(a)		(a->chksum)

#define DEFAULT_UDP_PORT	(0x4321)
#define UDP_PORT_TELNET		(23)
#define UDP_PORT_FTP		(21)
#define UDP_PORT_TFTP		(69)

/* Protocol Header information */
#define UDP_HDR_OFFSET		(ETH_HDR_SIZE + IP_HDR_SIZE)
#define UDP_HDR_SIZE		8


/********************************************************************/

void
udp_init (void);

void
udp_prime_port (uint16);

uint16
udp_obtain_free_port (void);

void
udp_bind_port ( uint16, void (*)(NIF *,NBUF *,int));

void
udp_free_port (uint16);

int
udp_send (NIF *, uint8 *, int, int, NBUF *);

void
udp_handler (NIF *, NBUF *, int);

/********************************************************************/

#endif 	/* _UDP_H */
